
QGIS Application - Bug report #11853

Segfault on exit running test PyQgsPalLabelingCanvas

2014-12-12 02:17 AM - Sandro Santilli

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20068

Description

It looks like a thread is not being waited for completion:

[strk@cdb:/usr/src/qgis/qgis-master-backup/b(master)] ctest -R PyQgsPalLabelingCanvas -V

[...]

test 112

    Start 112: PyQgsPalLabelingCanvas

[...]

112:

112: ----------------------------------------------------------------------

112: Ran 9 tests in 0.479s

112:

112: OK

112:

112: QThreadStorage: Thread 0x268a950 exited after QThreadStorage 7 destroyed

112:

112: CMake Error at PyQgsPalLabelingCanvas.cmake:28 (MESSAGE):

112:   Segmentation fault

112:

112:

1/1 Test #112: PyQgsPalLabelingCanvas ...........***Failed    0.77 sec

0% tests passed, 1 tests failed out of 1

Total Test time (real) =   0.78 sec

The following tests FAILED:

        112 - PyQgsPalLabelingCanvas (Failed)

Errors while running CTest

The valgrind say on it:

==7717== Process terminating with default action of signal 11 (SIGSEGV): dumping core

==7717==  Access not within mapped region at address 0x0

==7717==    at 0x6A75642: QThreadStorageData::get() const (in /usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6)

==7717==    by 0x8FE86C0: ??? (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8FEA3C2: ??? (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8FEABBF: QFontEngineFT::~QFontEngineFT() (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8FE23F8: QFontEngineX11FT::~QFontEngineX11FT() (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)
==7717==    by 0x8F1E22F: ??? (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8FE3988: QFontEngineMultiFT::~QFontEngineMultiFT() (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8F17A50: ??? (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8F17B79: ??? (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x8F17CB8: ??? (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.6)

==7717==    by 0x6A754B9: QThreadStorageData::finish(void**) (in /usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6)

==7717==    by 0x6A763C2: ??? (in /usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6)

==7717==  If you believe this happened as a result of a stack

==7717==  overflow in your program's main thread (unlikely but

==7717==  possible), you can try to increase the size of the

==7717==  main thread stack using the --main-stacksize= flag.

==7717==  The main thread stack size used in this run was 8388608.

History

#1 - 2015-02-13 11:49 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed in commit:e96b204b

#2 - 2015-02-13 11:50 AM - Jürgen Fischer

- Category set to Labelling
